GroupControllerUpdateGroup Method |
PUT /Group/{id}
Updates a group.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult UpdateGroup(
Guid id,
[FromBodyAttribute] GroupData groupData,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateGroup (
id As Guid,
<FromBodyAttribute> groupData As GroupData,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ UpdateGroup(
Guid id,
[FromBodyAttribute] GroupData^ groupData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateGroup :
id : Guid *
[<FromBodyAttribute>] groupData : GroupData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the group to update. - groupData
- Type: Dundas.BI.WebApi.ModelsGroupData
The data that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
GroupData object containing the group data, or a status code indicating the problem.
See Also